### The Uncertain SNLI (u-SNLI) dataset

This dataset contains a subset of the [SNLI](https://nlp.stanford.edu/projects/snli/) dataset labeled under the UNLI protocol. It contains 3 files, `{train|dev|test}.csv`, each representing a data partition. Each partition here is a subset of the corresponding SNLI partition.

Each file is a CSV file with 5 rows:
```
  <id> <pre> <hyp> <nli> <unli>
```
where 
 - `id` is the identifier for MTurk (not useful for downstream tasks);
 - `pre` is the premise sentence;
 - `hyp` is the hypothesis sentence;
 - `nli` is the original SNLI label: `0` is _contradiction_, `1` _neutral_, and `2` _entailment_;
 - `unli` is the UNLI annotation that represents the human subjective probability between [0, 1].

